let promiseWasmInitialized;
/**
 * Returns the Promise object which resolves when the synthesizer engine is ready.
 */
export default function waitForReady() {
    if (!promiseWasmInitialized) {
        const _module = typeof AudioWorkletGlobalScope !== 'undefined' ?
            AudioWorkletGlobalScope.wasmModule : Module;
        promiseWasmInitialized = new Promise((resolve) => {
            if (_module.calledRun) {
                resolve();
            }
            else {
                const fn = _module.onRuntimeInitialized;
                _module.onRuntimeInitialized = () => {
                    resolve();
                    if (fn) {
                        fn();
                    }
                };
            }
        });
    }
    return promiseWasmInitialized;
}
//# sourceMappingURL=waitForReady.js.map